source: configure @ 8e9e2b7

Last change on this file since 8e9e2b7 was 8e9e2b7, checked in by Wilmer van der Gaast <wilmer@…>, at 2010-10-03T02:45:26Z

Merging mainline, which includes a huge msnp13 merge.

Not 100% sure about the OpenSSL merge, should double check that but I'm
currently offline.

  • Property mode set to 100755
File size: 17.4 KB
Line 
1#!/bin/sh
2
3##############################
4##  Configurer for BitlBee  ##
5##                          ##
6##  Copyright 2004 Lintux   ##
7##  Copyright 2002 Lucumo   ##
8##############################
9
10prefix='/usr/local/'
11bindir='$prefix/sbin/'
12etcdir='$prefix/etc/bitlbee/'
13mandir='$prefix/share/man/'
14datadir='$prefix/share/bitlbee/'
15config='/var/lib/bitlbee/'
16plugindir='$prefix/lib/bitlbee/'
17includedir='$prefix/include/bitlbee/'
18libevent='/usr/'
19pidfile='/var/run/bitlbee.pid'
20ipcsocket='/var/run/bitlbee.sock'
21pcdir='$prefix/lib/pkgconfig'
22systemlibdirs="/lib /lib64 /usr/lib /usr/lib64 /usr/local/lib /usr/local/lib64"
23
24msn=1
25jabber=1
26oscar=1
27yahoo=1
28twitter=1
29twitter=1
30purple=0
31
32debug=0
33strip=1
34gcov=0
35plugins=1
36otr=auto
37
38events=glib
39ldap=0
40ssl=auto
41
42arch=`uname -s`
43cpu=`uname -m`
44
45GLIB_MIN_VERSION=2.4
46
47echo BitlBee configure
48
49while [ -n "$1" ]; do
50        e="`expr "X$1" : 'X--\(.*=.*\)'`"
51        if [ -z "$e" ]; then
52                cat<<EOF
53
54Usage: $0 [OPTIONS]
55
56Option          Description                             Default
57
58--prefix=...    Directories to put files in             $prefix
59--bindir=...                                            $bindir
60--etcdir=...                                            $etcdir
61--mandir=...                                            $mandir
62--datadir=...                                           $datadir
63--plugindir=...                                         $plugindir
64--pidfile=...                                           $pidfile
65--config=...                                            $config
66--ipcsocket=...                                         $ipcsocket
67
68--msn=0/1       Disable/enable MSN part                 $msn
69--jabber=0/1    Disable/enable Jabber part              $jabber
70--oscar=0/1     Disable/enable Oscar part (ICQ, AIM)    $oscar
71--yahoo=0/1     Disable/enable Yahoo part               $yahoo
72--twitter=0/1   Disable/enable Twitter part             $twitter
73
74--purple=0/1    Disable/enable libpurple support        $purple
75
76--debug=0/1     Disable/enable debugging                $debug
77--strip=0/1     Disable/enable binary stripping         $strip
78--gcov=0/1      Disable/enable test coverage reporting  $gcov
79--plugins=0/1   Disable/enable plugins support          $plugins
80--otr=0/1       Disable/enable OTR encryption support   $otr
81
82--events=...    Event handler (glib, libevent)          $events
83--ssl=...       SSL library to use (gnutls, nss, openssl, bogus, auto)
84                                                        $ssl
85
86--target=...    Cross compilation target                same as host
87EOF
88                exit;
89        fi
90        eval "$e"
91        shift;
92done
93
94# Expand $prefix and get rid of double slashes
95bindir=`eval echo "$bindir/" | sed 's/\/\{1,\}/\//g'`
96etcdir=`eval echo "$etcdir/" | sed 's/\/\{1,\}/\//g'`
97mandir=`eval echo "$mandir/" | sed 's/\/\{1,\}/\//g'`
98datadir=`eval echo "$datadir/" | sed 's/\/\{1,\}/\//g'`
99config=`eval echo "$config/" | sed 's/\/\{1,\}/\//g'`
100plugindir=`eval echo "$plugindir/" | sed 's/\/\{1,\}/\//g'`
101includedir=`eval echo "$includedir"/ | sed 's/\/\{1,\}/\//g'`
102libevent=`eval echo "$libevent"/ | sed 's/\/\{1,\}/\//g'`
103
104pidfile=`eval echo "$pidfile" | sed 's/\/\{1,\}/\//g'`
105ipcsocket=`eval echo "$ipcsocket" | sed 's/\/\{1,\}/\//g'`
106pcdir=`eval echo "$pcdir" | sed 's/\/\{1,\}/\//g'`
107
108cat<<EOF>Makefile.settings
109## BitlBee settings, generated by configure
110PREFIX=$prefix
111BINDIR=$bindir
112ETCDIR=$etcdir
113MANDIR=$mandir
114DATADIR=$datadir
115PLUGINDIR=$plugindir
116CONFIG=$config
117INCLUDEDIR=$includedir
118PCDIR=$pcdir
119
120TARGET=$target
121ARCH=$arch
122CPU=$cpu
123
124DESTDIR=
125LFLAGS=
126EFLAGS=
127EOF
128
129srcdir="$(dirname $0)"
130if [ "$srcdir" != "." ]; then
131        echo
132        echo "configure script run from a different directory. Will create some symlinks..."
133        if [ ! -e Makefile -o -L Makefile ]; then
134                COPYDIRS="doc lib protocols tests utils"
135                mkdir -p $(cd "$srcdir"; find $COPYDIRS -type d)
136                find . -name Makefile -type l -print0 | xargs -0 rm 2> /dev/null
137                dst="$PWD"
138                cd "$srcdir"
139                for i in $(find . -name Makefile -type f); do
140                        ln -s "$PWD${i#.}" "$dst/$i";
141                done
142                cd "$dst"
143                rm -rf .bzr
144        fi
145       
146        echo "SRCDIR=$srcdir/" >> Makefile.settings
147        CFLAGS="$CFLAGS -I${dst}"
148else
149        srcdir=$PWD
150fi
151
152cat<<EOF>config.h
153/* BitlBee settings, generated by configure
154   
155   Do *NOT* use any of these defines in your code without thinking twice, most
156   of them can/will be overridden at run-time */
157
158#define CONFIG "$config"
159#define ETCDIR "$etcdir"
160#define VARDIR "$datadir"
161#define PLUGINDIR "$plugindir"
162#define PIDFILE "$pidfile"
163#define IPCSOCKET "$ipcsocket"
164#define ARCH "$arch"
165#define CPU "$cpu"
166EOF
167
168
169
170if [ -n "$target" ]; then
171        PKG_CONFIG_LIBDIR=/usr/$target/lib/pkgconfig
172        export PKG_CONFIG_LIBDIR
173        PATH=/usr/$target/bin:$PATH
174        CC=$target-cc
175        LD=$target-ld
176        systemlibdirs="/usr/$target/lib"
177fi
178
179
180if [ "$debug" = "1" ]; then
181        [ -z "$CFLAGS" ] && CFLAGS=-g
182        echo 'DEBUG=1' >> Makefile.settings
183        CFLAGS="$CFLAGS -DDEBUG"
184else
185        [ -z "$CFLAGS" ] && CFLAGS="-O2 -fno-strict-aliasing"
186fi
187
188echo CFLAGS=$CFLAGS $CPPFLAGS >> Makefile.settings
189echo CFLAGS+=-I${srcdir} -I${srcdir}/lib -I${srcdir}/protocols -I. >> Makefile.settings
190
191echo CFLAGS+=-DHAVE_CONFIG_H >> Makefile.settings
192
193if [ -n "$CC" ]; then
194        CC=$CC
195elif type gcc > /dev/null 2> /dev/null; then
196        CC=gcc
197elif type cc > /dev/null 2> /dev/null; then
198        CC=cc
199else
200        echo 'Cannot find a C compiler, aborting.'
201        exit 1;
202fi
203
204echo "CC=$CC" >> Makefile.settings;
205if echo $CC | grep -qw gcc; then
206        # Apparently -Wall is gcc-specific?
207        echo CFLAGS+=-Wall >> Makefile.settings
208fi
209
210if [ -z "$LD" ]; then
211        if type ld > /dev/null 2> /dev/null; then
212                LD=ld
213        else
214                echo 'Cannot find ld, aborting.'
215                exit 1;
216        fi
217fi
218
219echo "LD=$LD" >> Makefile.settings
220
221if [ -z "$PKG_CONFIG" ]; then
222        PKG_CONFIG=pkg-config
223fi
224
225if $PKG_CONFIG --version > /dev/null 2>/dev/null && $PKG_CONFIG glib-2.0; then
226        if $PKG_CONFIG glib-2.0 --atleast-version=$GLIB_MIN_VERSION; then
227                cat<<EOF>>Makefile.settings
228EFLAGS+=`$PKG_CONFIG --libs glib-2.0 gmodule-2.0`
229CFLAGS+=`$PKG_CONFIG --cflags glib-2.0 gmodule-2.0`
230EOF
231        else
232                echo
233                echo 'Found glib2 '`$PKG_CONFIG glib-2.0 --modversion`', but version '$GLIB_MIN_VERSION' or newer is required.'
234                exit 1
235        fi
236else
237        echo
238        echo 'Cannot find glib2 development libraries, aborting. (Install libglib2-dev?)'
239        exit 1
240fi
241
242if [ "$events" = "libevent" ]; then
243        if ! [ -f "${libevent}include/event.h" ]; then
244                echo
245                echo 'Warning: Could not find event.h, you might have to install it and/or specify'
246                echo 'its location using the --libevent= argument. (Example: If event.h is in'
247                echo '/usr/local/include and binaries are in /usr/local/lib: --libevent=/usr/local)'
248        fi
249       
250        echo '#define EVENTS_LIBEVENT' >> config.h
251        cat <<EOF>>Makefile.settings
252EFLAGS+=-levent -L${libevent}lib
253CFLAGS+=-I${libevent}include
254EOF
255elif [ "$events" = "glib" ]; then
256        ## We already use glib anyway, so this is all we need (and in fact not even this, but just to be sure...):
257        echo '#define EVENTS_GLIB' >> config.h
258else
259        echo
260        echo 'ERROR: Unknown event handler specified.'
261        exit 1
262fi
263echo 'EVENT_HANDLER=events_'$events'.o' >> Makefile.settings
264
265detect_gnutls()
266{
267        if $PKG_CONFIG --exists gnutls; then
268                cat <<EOF>>Makefile.settings
269EFLAGS+=`$PKG_CONFIG --libs gnutls`
270CFLAGS+=`$PKG_CONFIG --cflags gnutls`
271EOF
272                ssl=gnutls
273                ret=1
274        elif libgnutls-config --version > /dev/null 2> /dev/null; then
275                cat <<EOF>>Makefile.settings
276EFLAGS+=`libgnutls-config --libs`
277CFLAGS+=`libgnutls-config --cflags`
278EOF
279               
280                ssl=gnutls
281                ret=1;
282        else
283                ret=0;
284        fi;
285}
286
287detect_nss()
288{
289        if $PKG_CONFIG --version > /dev/null 2>/dev/null && $PKG_CONFIG mozilla-nss; then
290                cat<<EOF>>Makefile.settings
291EFLAGS+=`$PKG_CONFIG --libs mozilla-nss`
292CFLAGS+=`$PKG_CONFIG --cflags mozilla-nss`
293EOF
294               
295                ssl=nss
296                ret=1;
297        else
298                ret=0;
299        fi;
300}
301
302detect_ldap()
303{
304        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
305        if $CC -o $TMPFILE -shared -lldap 2>/dev/null >/dev/null; then
306                cat<<EOF>>Makefile.settings
307EFLAGS+=-lldap
308CFLAGS+=
309EOF
310                ldap=1
311                rm -f $TMPFILE
312                ret=1
313        else
314                ldap=0
315                ret=0
316        fi
317}
318
319RESOLV_TESTCODE='
320#include <arpa/nameser.h>
321#include <resolv.h>
322
323int main()
324{
325        ns_initparse( NULL, 0, NULL );
326        ns_parserr( NULL, ns_s_an, 0, NULL );
327}
328'
329
330detect_resolv_dynamic()
331{
332        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
333        ret=1
334        echo "$RESOLV_TESTCODE" | $CC -o $TMPFILE -x c - -lresolv >/dev/null 2>/dev/null
335        if [ "$?" = "0" ]; then
336                echo 'EFLAGS+=-lresolv' >> Makefile.settings
337                ret=0
338        fi
339
340        rm -f $TMPFILE
341        return $ret
342}
343
344detect_resolv_static()
345{
346        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
347        ret=1
348        for i in $systemlibdirs; do
349                if [ -f $i/libresolv.a ]; then
350                        echo "$RESOLV_TESTCODE" | $CC -o $TMPFILE -x c - -Wl,$i/libresolv.a >/dev/null 2>/dev/null
351                        if [ "$?" = "0" ]; then
352                                echo 'EFLAGS+='$i'/libresolv.a' >> Makefile.settings
353                                ret=0
354                        fi
355                fi
356        done
357
358        rm -f $TMPFILE
359        return $ret
360}
361
362if [ "$ssl" = "auto" ]; then
363        detect_gnutls
364        if [ "$ret" = "0" ]; then
365                detect_nss
366        fi
367elif [ "$ssl" = "gnutls" ]; then
368        detect_gnutls
369elif [ "$ssl" = "nss" ]; then
370        detect_nss
371elif [ "$ssl" = "sspi" ]; then
372        echo
373elif [ "$ssl" = "openssl" ]; then
374        echo
375        echo 'No detection code exists for OpenSSL. Make sure that you have a complete'
376        echo 'install of OpenSSL (including devel/header files) before reporting'
377        echo 'compilation problems.'
378        echo
379        echo 'Also, keep in mind that the OpenSSL is, according to some people, not'
380        echo 'completely GPL-compatible. Using GnuTLS or NSS is recommended and better'
381        echo 'supported by us. However, on many BSD machines, OpenSSL can be considered'
382        echo 'part of the operating system, which makes it GPL-compatible.'
383        echo
384        echo 'For more info, see: http://www.openssl.org/support/faq.html#LEGAL2'
385        echo '                    http://www.gnome.org/~markmc/openssl-and-the-gpl.html'
386        echo
387        echo 'Please note that distributing a BitlBee binary which links to OpenSSL is'
388        echo 'probably illegal. If you want to create and distribute a binary BitlBee'
389        echo 'package, you really should use GnuTLS or NSS instead.'
390        echo
391        echo 'Also, the OpenSSL license requires us to say this:'
392        echo ' *    "This product includes software developed by the OpenSSL Project'
393        echo ' *    for use in the OpenSSL Toolkit. (http://www.openssl.org/)"'
394       
395        echo 'EFLAGS+=-lssl -lcrypto' >> Makefile.settings
396       
397        ret=1
398elif [ "$ssl" = "bogus" ]; then
399        echo
400        echo 'Using bogus SSL code. This means some features will not work properly.'
401       
402        ## Yes, you, at the console! How can you authenticate if you don't have any SSL!?
403        if [ "$msn" = "1" -o "$yahoo" = "1" ]; then
404                echo
405                echo 'WARNING: The MSN and Yahoo! modules will not work without SSL. Disabling.'
406                msn=0
407                yahoo=0
408        fi
409       
410        ret=1
411else
412        echo
413        echo 'ERROR: Unknown SSL library specified.'
414        exit 1
415fi
416
417if [ "$ret" = "0" ]; then
418        echo
419        echo 'ERROR: Could not find a suitable SSL library (GnuTLS, libnss or OpenSSL).'
420        echo '       Please note that this script doesn'\''t have detection code for OpenSSL,'
421        echo '       so if you want to use that, you have to select it by hand. If you don'\''t'
422        echo '       need SSL support, you can select the "bogus" SSL library. (--ssl=bogus)'
423       
424        exit 1
425fi;
426
427if [ "$msn" = "1" -a "$ssl" != "openssl" ]; then
428        # Needed for MSN only. OpenSSL exports nice cipher functions already,
429        # others don't, so use our own 3des code.
430        echo 'DES=des.o' >> Makefile.settings
431fi
432
433echo 'SSL_CLIENT=ssl_'$ssl'.o' >> Makefile.settings
434
435if detect_resolv_dynamic || detect_resolv_static; then
436        echo '#define HAVE_RESOLV_A' >> config.h
437fi
438
439STORAGES="xml"
440
441if [ "$ldap" = "auto" ]; then
442        detect_ldap
443fi
444
445if [ "$ldap" = 0 ]; then
446        echo "#undef WITH_LDAP" >> config.h
447elif [ "$ldap" = 1 ]; then
448        echo
449        echo 'LDAP support is a work in progress and does NOT work AT ALL right now.'
450        echo
451        exit 1
452       
453        echo "#define WITH_LDAP 1" >> config.h
454        STORAGES="$STORAGES ldap"
455fi
456
457for i in $STORAGES; do
458        STORAGE_OBJS="$STORAGE_OBJS storage_$i.o"
459done
460echo "STORAGE_OBJS="$STORAGE_OBJS >> Makefile.settings
461
462if [ "$strip" = 0 ]; then
463        echo "STRIP=\# skip strip" >> Makefile.settings;
464else
465        if [ "$debug" = 1 ]; then
466                echo
467                echo 'Stripping binaries does not make sense when debugging. Stripping disabled.'
468                echo 'STRIP=\# skip strip' >> Makefile.settings
469                strip=0;
470        elif [ -n "$STRIP" ]; then
471                echo "STRIP=$STRIP" >> Makefile.settings;
472        elif type strip > /dev/null 2> /dev/null; then
473                echo "STRIP=strip" >> Makefile.settings;
474        else
475                echo
476                echo 'No strip utility found, cannot remove unnecessary parts from executable.'
477                echo 'STRIP=\# skip strip' >> Makefile.settings
478                strip=0;
479        fi;
480fi
481
482if [ "$gcov" = "1" ]; then
483        echo "CFLAGS+=--coverage" >> Makefile.settings
484        echo "EFLAGS+=--coverage" >> Makefile.settings
485fi
486
487if [ "$plugins" = 0 ]; then
488        echo '#undef WITH_PLUGINS' >> config.h
489else
490        echo '#define WITH_PLUGINS' >> config.h
491fi
492
493otrprefix=""
494for i in / /usr /usr/local; do
495        if [ -f ${i}/lib/libotr.a ]; then
496                otrprefix=${i}
497                break
498        fi
499done
500if [ "$otr" = "auto" ]; then
501        if [ -n "$otrprefix" ]; then
502                otr=1
503        else
504                otr=0
505        fi
506fi
507if [ "$otr" = 1 ]; then
508        # BI == built-in
509        echo '#define OTR_BI' >> config.h
510        echo "EFLAGS+=-L${otrprefix}/lib -lotr" >> Makefile.settings
511        echo "CFLAGS+=-I${otrprefix}/include" >> Makefile.settings
512        echo 'OTR_BI=otr.o' >> Makefile.settings
513elif [ "$otr" = "plugin" ]; then
514        echo '#define OTR_PI' >> config.h
515        echo "OTRFLAGS=-L${otrprefix}/lib -lotr" >> Makefile.settings
516        echo "CFLAGS+=-I${otrprefix}/include" >> Makefile.settings
517        echo 'OTR_PI=otr.so' >> Makefile.settings
518fi
519
520if [ ! -e doc/user-guide/help.txt ] && ! type xmlto > /dev/null 2> /dev/null; then
521        echo
522        echo 'WARNING: Building from an unreleased source tree without prebuilt helpfile.'
523        echo 'Install xmlto if you want online help to work.'
524fi
525
526echo
527if [ -z "$BITLBEE_VERSION" -a -d .bzr ] && type bzr > /dev/null 2> /dev/null; then
528        nick=`bzr nick`
529        if [ -n "$nick" -a "$nick" != "bitlbee" ]; then
530                nick="-$nick"
531        else
532                nick=""
533        fi
534        rev=`bzr revno`
535        echo 'Using bzr revision #'$rev' as version number'
536        BITLBEE_VERSION=\"bzr$nick-$rev\"
537fi
538
539if [ -n "$BITLBEE_VERSION" ]; then
540        echo 'Spoofing version number: '$BITLBEE_VERSION
541        echo '#undef BITLBEE_VERSION' >> config.h
542        echo '#define BITLBEE_VERSION '$BITLBEE_VERSION >> config.h
543        echo
544fi
545
546if ! make helloworld > /dev/null 2>&1; then
547        echo "WARNING: Your version of make (BSD make?) does not support BitlBee's makefiles."
548        echo "BitlBee needs GNU make to build properly. On most systems GNU make is available"
549        echo "under the name 'gmake'."
550        echo
551        if gmake helloworld > /dev/null 2>&1; then
552                echo "gmake seems to be available on your machine, great."
553                echo
554        else
555                echo "gmake is not installed (or not working). Please try to install it."
556                echo
557        fi
558fi
559
560cat <<EOF>bitlbee.pc
561prefix=$prefix
562includedir=$includedir
563
564Name: bitlbee
565Description: IRC to IM gateway
566Requires: glib-2.0
567Version: $BITLBEE_VERSION
568Libs:
569Cflags: -I\${includedir}
570
571EOF
572
573protocols=''
574protoobjs=''
575
576if [ "$purple" = 0 ]; then
577        echo '#undef WITH_PURPLE' >> config.h
578else
579        if ! $PKG_CONFIG purple; then
580                echo
581                echo 'Cannot find libpurple development libraries, aborting. (Install libpurple-dev?)'
582                exit 1
583        fi
584        echo '#define WITH_PURPLE' >> config.h
585        cat<<EOF>>Makefile.settings
586EFLAGS += $($PKG_CONFIG purple --libs)
587PURPLE_CFLAGS += $($PKG_CONFIG purple --cflags)
588EOF
589        protocols=$protocols'purple '
590        protoobjs=$protoobjs'purple_mod.o '
591
592        # Having both libpurple and native IM modules in one binary may
593        # do strange things. Let's not do that.
594        msn=0
595        jabber=0
596        oscar=0
597        yahoo=0
598        twitter=0
599       
600        if [ "$events" = "libevent" ]; then
601                echo
602                echo 'Warning: Some libpurple modules (including msn-pecan) do their event handling'
603                echo 'outside libpurple, talking to GLib directly. At least for now the combination'
604                echo 'libpurple + libevent is *not* recommended!'
605        fi
606fi
607
608case "$CC" in
609*gcc* )
610        echo CFLAGS+=-MD -MF .depend/\$@.d >> Makefile.settings
611        for i in . lib protocols protocols/*/; do
612                mkdir -p $i/.depend
613        done
614esac
615
616if [ "$msn" = 0 ]; then
617        echo '#undef WITH_MSN' >> config.h
618else
619        echo '#define WITH_MSN' >> config.h
620        protocols=$protocols'msn '
621        protoobjs=$protoobjs'msn_mod.o '
622fi
623
624if [ "$jabber" = 0 ]; then
625        echo '#undef WITH_JABBER' >> config.h
626else
627        echo '#define WITH_JABBER' >> config.h
628        protocols=$protocols'jabber '
629        protoobjs=$protoobjs'jabber_mod.o '
630fi
631
632if [ "$oscar" = 0 ]; then
633        echo '#undef WITH_OSCAR' >> config.h
634else
635        echo '#define WITH_OSCAR' >> config.h
636        protocols=$protocols'oscar '
637        protoobjs=$protoobjs'oscar_mod.o '
638fi
639
640if [ "$yahoo" = 0 ]; then
641        echo '#undef WITH_YAHOO' >> config.h
642else
643        echo '#define WITH_YAHOO' >> config.h
644        protocols=$protocols'yahoo '
645        protoobjs=$protoobjs'yahoo_mod.o '
646fi
647
648if [ "$twitter" = 0 ]; then
649        echo '#undef WITH_TWITTER' >> config.h
650else
651        echo '#define WITH_TWITTER' >> config.h
652        protocols=$protocols'twitter '
653        protoobjs=$protoobjs'twitter_mod.o '
654fi
655
656if [ "$protocols" = "PROTOCOLS = " ]; then
657        echo "Warning: You haven't selected any communication protocol to compile!"
658        echo "         BitlBee will run, but you will be unable to connect to IM servers!"
659fi
660
661echo "PROTOCOLS = $protocols" >> Makefile.settings
662echo "PROTOOBJS = $protoobjs" >> Makefile.settings
663
664echo Architecture: $arch
665case "$arch" in
666Linux )
667;;
668GNU/* )
669;;
670*BSD )
671;;
672Darwin )
673        echo 'STRIP=\# skip strip' >> Makefile.settings
674;;
675IRIX )
676;;
677SunOS )
678        echo 'EFLAGS+=-lresolv -lnsl -lsocket' >> Makefile.settings
679        echo 'STRIP=\# skip strip' >> Makefile.settings
680;;
681AIX )
682        echo 'EFLAGS+=-Wl,-brtl' >> Makefile.settings
683;;
684CYGWIN* )
685        echo 'Cygwin is not officially supported.'
686;;
687Windows )
688;;
689* )
690        echo 'We haven'\''t tested BitlBee on many platforms yet, yours is untested. YMMV.'
691        echo 'Please report any problems at http://bugs.bitlbee.org/.'
692;;
693esac
694
695if [ -n "$target" ]; then
696        echo "Cross-compiling for: $target"
697fi
698
699echo
700echo 'Configuration done:'
701
702if [ "$debug" = "1" ]; then
703        echo '  Debugging enabled.'
704else
705        echo '  Debugging disabled.'
706fi
707
708if [ "$strip" = "1" ]; then
709        echo '  Binary stripping enabled.'
710else
711        echo '  Binary stripping disabled.'
712fi
713
714if [ "$otr" = "1" ]; then
715        echo '  Off-the-Record (OTR) Messaging enabled.'
716elif [ "$otr" = "plugin" ]; then
717        echo '  Off-the-Record (OTR) Messaging enabled (as a plugin).'
718else
719        echo '  Off-the-Record (OTR) Messaging disabled.'
720fi
721
722echo '  Using event handler: '$events
723echo '  Using SSL library: '$ssl
724echo '  Building with these storage backends: '$STORAGES
725
726if [ -n "$protocols" ]; then
727        echo '  Building with these protocols:' $protocols
728else
729        echo '  Building without IM-protocol support. We wish you a lot of fun...'
730fi
Note: See TracBrowser for help on using the repository browser.